<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.12"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eduRayTracer: Class Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eduRayTracer
   &#160;<span id="projectnumber">v_2017_2018_1</span>
   </div>
   <div id="projectbrief">An Educational Ray Tracing Software Package (by Pedro Santana, ISCTE-IUL)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.12 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('functions_m.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all class members with links to the classes they belong to:</div>

<h3><a id="index_m"></a>- m -</h3><ul>
<li>m
: <a class="el" href="class_surface.html#a99bb89c6eeea7dd90b3fda098b51422b">Surface</a>
</li>
<li>Mat()
: <a class="el" href="class_mat.html#a7205342eec3270c1aa954f35d8af27c7">Mat</a>
</li>
<li>Material()
: <a class="el" href="class_material.html#aa798c4ee73c9078a8c5c23fee3edebae">Material</a>
</li>
<li>max
: <a class="el" href="class_box.html#ae853f5935d9a8aa3823993d6d80e0300">Box</a>
</li>
<li>maxDimension()
: <a class="el" href="class_box.html#a09a048ff5995a621847e675e9bf51856">Box</a>
</li>
<li>Mesh()
: <a class="el" href="class_mesh.html#ae2598c2ab155e0ad3182798a5c8efbc0">Mesh</a>
</li>
<li>meshFromID()
: <a class="el" href="class_scene.html#ad7dfd803c8a3e7c5379ec9866206b4f3">Scene</a>
</li>
<li>min
: <a class="el" href="class_box.html#ad1f3063a392fa6d1fc2b5aec6d8f0b3c">Box</a>
</li>
<li>mint
: <a class="el" href="struct_b_v_h_traversal.html#a996b4877b7c46d9a9fce5b3b32553c8e">BVHTraversal</a>
</li>
<li>move()
: <a class="el" href="class_camera.html#ab08bb2f3987c704bb67aa9475f617976">Camera</a>
</li>
<li>move_at()
: <a class="el" href="class_camera.html#a6b34435333ba29dca4a9e136322a8923">Camera</a>
</li>
<li>mult()
: <a class="el" href="class_vec.html#a40f86c7549206f61a8b92c0b0f734b7e">Vec</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Fri Sep 15 2017 15:54:23 for eduRayTracer by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.12 </li>
  </ul>
</div>
</body>
</html>
